> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pland.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Task forms

> All forms that were generated for this task



## OpenAPI

````yaml GET /tasks/{id}/forms
openapi: 3.0.0
info:
  title: PlanD API
  description: PlanD Public API
  version: '2'
servers:
  - url: https://cloud-api.pland.app/v2
    description: Production Server
  - url: https://beta-api.pland.app/v2
    description: Sandbox Server
security: []
tags:
  - name: Absences
    description: >-
      Absence management endpoints for creating, updating, and managing user
      absences
  - name: Customers
    description: Customer management operations
  - name: Customer Objects
    description: >-
      Customer object management operations - locations and buildings where
      services are performed
  - name: Documents
    description: >-
      Document management operations for uploading, retrieving, and managing
      files
  - name: Logbuch
    description: >-
      Operations for sending, retrieving, updating, and deleting Logbuch in
      entity chats.
  - name: Equipment
    description: Equipment management operations
  - name: Jobs
    description: >-
      Endpoints for managing jobs, including creation, listing, updating, and
      job-specific actions.
  - name: Material Orders
    description: Operations for listing, viewing, updating, and managing material orders.
  - name: Articles
    description: >-
      Operations for creating, listing, viewing, updating, and deleting
      articles.
  - name: Quality Control
    description: Quality control and assessment management operations
  - name: Salary
    description: >-
      Salary management operations for tracking and managing employee
      compensation
  - name: Tasks
    description: Task management operations
  - name: Task Types
    description: Task type management operations
  - name: Time Tracking
    description: >-
      Time tracking management endpoints for recording, monitoring, and managing
      work time entries
  - name: Users
    description: >-
      User management endpoints for creating, updating, and managing system
      users
  - name: Webhooks
paths:
  /tasks/{id}/forms:
    get:
      tags:
        - Tasks
      summary: Task forms
      description: All forms that were generated for this task
      operationId: getTaskForms
      parameters:
        - name: id
          in: path
          description: Task ID
          required: true
          schema:
            type: string
            format: objectid
      responses:
        '200':
          description: List of forms

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.